# Health

Health check endpoints

Source: https://keyenv.dev/docs/api/health/

Health check endpoints

## Health check

```http
GET /health
```

Returns the health status of the API server

**Operation ID:** `healthCheck` &middot; **Authentication:** none (public endpoint)

### Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | Service is healthy | `HealthResponse` |
| `503` | Service is degraded | `HealthResponse` |

### Response body (`200`)

| Field | Type | Description |
| --- | --- | --- |
| `status` | `enum (ok, degraded)` |  |
| `service` | `string` |  |
| `version` | `string` |  |
| `build_time` | `string` |  |
| `checks` | `object` |  |

### Example

```bash
curl -X GET "https://api.keyenv.dev/health"
```

## API info

```http
GET /api/v1
```

Returns basic API information

**Operation ID:** `apiInfo` &middot; **Authentication:** none (public endpoint)

### Responses

| Status | Description | Body |
| --- | --- | --- |
| `200` | API information | `object` |

### Response body (`200`)

| Field | Type | Description |
| --- | --- | --- |
| `message` | `string` |  |
| `version` | `string` |  |

### Example

```bash
curl -X GET "https://api.keyenv.dev/api/v1"
```
